# RPM specfile for gnet module
# Generated Fri May 24 15:43:56 2002 GMT by Ximian build system
# $Id: bb_do,v 1.183 2002/04/19 17:44:22 thunder Exp $
# from $Id: ximian-build.conf,v 1.18 2002/05/14 18:32:30 dobey Exp $

%define nam	gnet
%define ver	1.1.4
%define ximrev	1

Name:     	libgnet1
Version: 	1.1.4
Release:	4.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.2 / i586
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.eecs.umich.edu/~dhelder/misc/gnet/
Source0:	gnet-1.1.4.tar.gz
Summary:	Networking library
Group:		System Environment/Libraries
Requires:	glib >= 1.2.8
Provides:	gnet = %{PACKAGE_VERSION}
Provides:	ximian-libgnet1 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
Gnet is a simple networking library. It is 
written in C, object-oriented, and built upon glib.  It is intended to be 
small, fast, easy-to-use, and easy to port.  The interface is similar to the 
interface for Java's network library.

%files
%defattr(-, root, root)
%doc COPYING ChangeLog AUTHORS HACKING INSTALL NEWS TODO README doc/html
/usr/lib/*.so.*


%post
ldconfig

%package -n libgnet1-devel
Summary:	Networking library
Group:		Development/Libraries
Requires:	libgnet1 = %{PACKAGE_VERSION}
Provides:	libgnet-devel = %{PACKAGE_VERSION}
Provides:	ximian-libgnet1-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libgnet0-devel
Obsoletes:	libgnet-devel

%description -n libgnet1-devel
Gnet is a simple network library.  It is written in C, object-oriented, and 
built upon glib.

This package allows you to develop applications that use the Gnet library.

%files -n libgnet1-devel
%defattr(-, root, root)
/usr/bin/gnet-config
/usr/share/aclocal/gnet.m4
/usr/include/gnet
/usr/lib/gnet
/usr/lib/*a
/usr/lib/lib*.so
/usr/lib/pkgconfig/gnet.pc
/usr/share/man/man1/gnet-config.*
/usr/share/doc/libgnet1.1-dev


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnet-1.1.4
    ;;
all)
%setup  -q -n gnet-1.1.4
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri May 24 2002 Ximian, Inc.

- Version: 1.1.4-4.ximian.1
- Summary: New build.
- New automated build.

* Wed May 1 2002 Ximian, Inc.

- Version: 1.1.3-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Mar 27 2002 Ximian, Inc.

- Version: 1.1.0-4.ximian.2
- Summary: New build.
- New automated build.

